=== debian/changelog ===
cloud-init (0.7.3-0ubuntu2.2) saucy-proposed; urgency=low

  * debian/patches/lp-1269626-azure_new_instance.patch:
    fix handling of new instances on Windows Azure (LP: #1269626).
  * debian/patches/lp-1292648-azure-format-ephemeral-new.patch:
    re-format ephemeral disk if necessary (LP: #1292648).

 -- Ben Howard <ben.howard@ubuntu.com>  Wed, 19 Mar 2014 16:31:51 -0600

cloud-init (0.7.3-0ubuntu2.1) saucy-proposed; urgency=low

  * debian/patches/lp-1272115-fix_smartos_compliance.patch: Fix compliance for
    SmartOS data handling (LP: #1272115):
    - straight backport from 14.04 LTS development of SmartOS datasource
      and datasource test suite, sans vendordata.
    - cloud-init user-data is now named spaced as "cloud-init:user-data"
    - user-data is written to /var/db/mdata-user-data
    - user-scripts are fetched and executed each boot
    - datacenter/region is now named spaced as "sdc:datacenter"

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 28 Jan 2014 11:19:14 -0700

cloud-init (0.7.3-0ubuntu2) saucy; urgency=low

  * fix bug where a mount entry of 'ephemeral0' would only consider
    the unpartitioned device, not also the first partition (LP: #1236594)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 07 Oct 2013 20:16:02 -0400

cloud-init (0.7.3-0ubuntu1) saucy; urgency=low

  * New upstream release.
    * Fix for SmartOS datasource when hostname is provided via dmi
      data (LP: #1236445)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 07 Oct 2013 14:49:56 -0400

cloud-init (0.7.3~bzr884-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * allow disabling of growpart via file /etc/growroot-disabled
      (LP: #1234331)
    * add default user to sudo group (LP: #1228228)
    * fix disk creation on azure (LP: #1233698)
    * DatasourceSmartOS: allow availabiltity-zone to be fed from the
      datasource via 'region' (which allows 'mirrors' and other things
      to make use of it).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Oct 2013 21:08:07 -0400

cloud-init (0.7.3~bzr879-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fixes to disk_setup config module and enabling of partition
      creation and filesystem creation on Azure.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 27 Sep 2013 19:47:37 -0400

cloud-init (0.7.3~bzr871-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * add 'disk_setup' config module for partitioning disks and
      creating filesystems. (LP: #1218506)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 20 Sep 2013 20:46:08 -0400

cloud-init (0.7.3~bzr869-0ubuntu1) saucy; urgency=low

  * depend on cloud-utils or cloud-guest-utils (LP: #1224003)
  * New upstream snapshot.
    * Add OpenNebula datasource.
    * Support reading 'random_seed' from metadata and writing to /dev/urandom
    * fix for bug in log_time.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Sep 2013 17:04:45 -0400

cloud-init (0.7.3~bzr862-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * support base64 encoded data in the smart os datasource

 -- Scott Moser <smoser@ubuntu.com>  Thu, 29 Aug 2013 04:54:39 -0400

cloud-init (0.7.3~bzr861-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix publishing hostname on azure (LP: #1214541)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 20 Aug 2013 16:06:22 -0400

cloud-init (0.7.3~bzr860-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix setting of password for a user on azure. (LP: #1212723)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Aug 2013 16:01:40 -0400

cloud-init (0.7.3~bzr858-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix resizing of root partition by preferring the functional 'growpart'
      support over the broken 'parted resizepart' support (LP: #1212444)
    * add options for apt_ftp_proxy, apt_https_proxy and apt_config
      (LP: #1057195)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Aug 2013 21:44:22 -0400

cloud-init (0.7.3~bzr851-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * azure: do not wait for output of bouncing interface (ifdown; ifup)
      as that waits on output of all ifupdown scripts to close all file
      descriptors.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 29 Jul 2013 12:21:08 -0400

cloud-init (0.7.3~bzr850-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix bouncing of interface. environment was not being modified
      so command invoked did not have access to 'interface'.
  * debian/README.source: update to read upstream version from trunk

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Jul 2013 14:34:02 -0400

cloud-init (0.7.3~bzr849-0ubuntu2) saucy; urgency=low

  * debian/control: fix bad dependency on python-jsonpatch 
    by build-depending on python-json-patch, so dh_python2
    can find the right package (LP: #1205358).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Jul 2013 10:47:59 -0400

cloud-init (0.7.3~bzr849-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * azure: support publishing hostname via bouncing interface (LP: #1202758)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 25 Jul 2013 17:08:30 -0400

cloud-init (0.7.3~bzr845-0ubuntu2) saucy; urgency=low

  * debian/control: fix dependency python-json-patch.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 24 Jul 2013 15:01:24 -0400

cloud-init (0.7.3~bzr845-0ubuntu1) saucy; urgency=low

  * Reads the currently set value in /etc/cloud/cloud.cfg.d/90_dpkg.cfg to
    db_set the value of cloud-init/datasources. (Closes: #709773)
  * New upstream snapshot.
    * azure: use deployment-id rather than static instance-id (LP: #1204190)
    * config-drive: make 'availability_zone' available. (LP: #1190431)
    * finalize handlers even on error (LP: #1203368)
    * azure: fix password based access (LP: #1201969)
    * add smartos (Joyent cloud) datasource
    * support patching cloud-config via jsonp (LP: #1200476)
  * debian/control: add dependency on python-jsonp

 -- Scott Moser <smoser@ubuntu.com>  Wed, 24 Jul 2013 13:47:53 -0400


