=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 5.0.38),
               po-debconf,
               pyflakes,
               pylint,
               python (>= 2.6.6-3~),
               python-argparse,
               python-boto,
               python-cheetah,
               python-configobj,
               python-json-patch,
               python-mocker,
               python-nose,
               python-oauth,
               python-prettytable,
               python-setuptools,
               python-requests,
               python-yaml
XS-Python-Version: all
Standards-Version: 3.9.4

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         ifupdown (>= 0.6.10ubuntu5),
         procps,
         python,
         python-requests (>= 0.8.2),
         software-properties-common,
         ${misc:Depends},
         ${python:Depends}
Provides: ec2-init
Replaces: ec2-init (<<0.5.3)
Conflicts: ec2-init (<<0.5.3)
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

Package: grub-legacy-ec2
Depends: debconf (>= 1.5.19) | cdebconf,
         ucf,
         util-linux (>= 2.15-1),
         ${misc:Depends}
Conflicts: grub
Suggests: grub-legacy-doc
Architecture: all
Description: Handles update-grub for ec2 instances
 EC2 instances that use grub-legacy as a bootloader need a way to keep
 /boot/grub/menu.lst up to date while not conflicting with grub-pc.
 This package provides that.

Package: ec2-init
Depends: cloud-init, ${misc:Depends}
Architecture: all
Description: package renamed -> cloud-init
 This package has been renamed to 'cloud-init'.
