=== debian/changelog ===
cloud-init (0.7.5-0ubuntu1.23) trusty; urgency=medium

  - debian/control: added python-six dependency.
  - debian/patches/lp-1781039-gce-datasource-update.patch:
    Backport GCE datasource functionality from Xenial (LP: #1781039).

 -- Shane Peters <shane.peters@canonical.com>  Tue, 06 Sep 2018 17:57:23 -0400

cloud-init (0.7.5-0ubuntu1.22) trusty; urgency=medium

  * debian/update-grub-legacy-ec2:
    - Correctly detect kernels ending in -aws as kernels that can boot on EC2
      (LP: #1655934)
    - Consider kernels with CONFIG_XEN=y bootable on aws. (LP: #1379080)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 08 Jun 2017 19:25:41 -0400

cloud-init (0.7.5-0ubuntu1.21) trusty; urgency=medium

  * Microsoft Azure:
    - Install udev rules to create /dev/disk/cloud entries for Azure ephemeral
      disk.
    - debian/patches/lp-1603222-fix-ephemeral-disk-fstab.patch:
      - Use /dev/disk/cloud entries for ephemeral disk (LP: #1603222)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 25 Nov 2016 10:12:20 +0000

cloud-init (0.7.5-0ubuntu1.20) trusty; urgency=medium

  * GCE:
    - debian/patches/lp-1581200-gce-metadatafqdn.patch  (LP: #1581200):
      Remove trailing dot in metadata.google.internal GCE metadata lookup.

 -- Phil Roche <phil.roche@canonical.com>  Fri, 24 Jun 2016 11:43:42 +0100

cloud-init (0.7.5-0ubuntu1.19) trusty; urgency=medium

  * Bigstep:
    - debian/patches/lp-1553158-bigstep.patch (LP: #1553158):
        - Add the data source for the Bigstep cloud
        - Enable password changing via a hashed string

 -- Daniel Watkins <daniel.watkins@canonical.com>  Tue, 31 May 2016 13:42:32 +0100

cloud-init (0.7.5-0ubuntu1.18) trusty-security; urgency=medium

  * No change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Mar 2016 15:31:45 -0400

cloud-init (0.7.5-0ubuntu1.17) trusty; urgency=medium

  * Microsoft Azure:
    - d/patches/lp-1551419-azure-handle-flipped-uuid-endianness.patch: Handle
      cases where the endianness of the DMI UUID used for the instance ID has
      changed since last boot.(LP: #1551419)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 02 Mar 2016 14:23:18 +0000

cloud-init (0.7.5-0ubuntu1.16) trusty; urgency=medium

  * Joyent Smart DataOS:
    - d/patches/lp-1540965-SmartOS-Add-support-for-Joyent-LX-Brand-Zones.patch:
      SmartOS: Add support for Joyent LX-Brand Zones (LP: #1540965)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 02 Feb 2016 09:32:02 -0600

cloud-init (0.7.5-0ubuntu1.15) trusty; urgency=medium

  * Microsoft Azure:
    - d/patches/lp-1506244-azure-ssh-key-values.patch: AZURE: Add support
      and preference for fabric provided public SSH public key values over
      fingerprints (LP: #1506244).
    - use stable VM instance ID over SharedConfig.xml (LP: #1506187):
      - d/patches/lp-1506187-azure_use_unique_vm_id.patch: use DMI data for
        the stable VM instance ID
      - d/cloud-init.preinst: migrate existing instances to stable VM instance
        ID on upgrade from prior versions of cloud-init.

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 17 Nov 2015 10:02:24 -0700

cloud-init (0.7.5-0ubuntu1.14) trusty; urgency=medium

  * d/patches/lp-1177432-same-archives-as-ubuntu-server.patch: use the
    same archive pockets as Ubuntu Server (LP: #1177432).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 05 Nov 2015 09:50:57 -0700

cloud-init (0.7.5-0ubuntu1.13) trusty; urgency=medium

  * d/patches/lp-1177432-enable_backports.patch: Enable backports apt pocket
    (LP: #1177432).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 02 Nov 2015 08:52:09 -0700

cloud-init (0.7.5-0ubuntu1.12) trusty; urgency=medium

  * d/patches/lp-1493453-nocloudds-vendor_data.patch:
    - fix vendor_data variable assignment for the NoCloud Datasource
      (LP: #1493453).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 21 Sep 2015 15:24:17 -0600

cloud-init (0.7.5-0ubuntu1.11) trusty; urgency=medium

  [ Felipe Reyes ]
  * d/patches/fix-consumption-of-vendor-data.patch:
    - Fix consumption of vendor-data in OpenStack to allow namespacing
      (LP: #1469260).

  [ Scott Moser ]
  * d/patches/lp-1461242-generate-ed25519-host-keys.patch:
    - ssh: generate ed25519 host keys if supported (LP: #1461242)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 11 Sep 2015 20:22:00 -0400

cloud-init (0.7.5-0ubuntu1.10) trusty; urgency=medium

  [ Daniel Watkins ]
  * d/patches/lp-1490796-azure-fix-mount_cb-for-symlinks.patch:
      - Fix a regression caused by switching to /dev/disk symlinks
        (LP: #1490796).

 -- Ben Howard <ben.howard@ubuntu.com>  Wed, 02 Sep 2015 10:57:30 -0600

cloud-init (0.7.5-0ubuntu1.9) trusty; urgency=medium

  * d/cloud-init.templates: Include SmartOS data source in the default list
    and choices (LP: #1398997).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 02 Sep 2015 16:09:33 +0100

cloud-init (0.7.5-0ubuntu1.8) trusty; urgency=medium

  * debian/patches/lp-1411582-azure-udev-ephemeral-disks.patch:
      - Use udev rules to discover ephemeral disk locations rather than
        hard-coded device names (LP: #1411582).
  * debian/patches/lp-1470880-fix-gce-az-determination.patch:
      - Correctly parse GCE's availability zones (LP: #1470880).
  * d/patches/lp-1470890-include-regions-in-dynamic-mirror-discovery.patch:
      - Make %(region)s a valid substitution in mirror discovery
        (LP: #1470890).
  * Remove python-serial from Build-Depends; it was mistakenly added last
    upload.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 14 Aug 2015 13:54:02 +0100

cloud-init (0.7.5-0ubuntu1.7) trusty; urgency=medium

  * d/patches/lp-1456684-eu-central-1.patch:
    - Add central as a direction for EC2 availability zones (LP: #1456684).
  * d/patches/lp-1464253-handle-new-cloudstack-passwords.patch:
      - Handle both old and new CloudStack password servers (LP: #1464253).
  * Add python-serial to Build-Depends (LP: #1381776).


