=== debian/control ===
--- 
+++ 
@@ -9,19 +9,19 @@
                pylint,
                python (>= 2.6.6-3~),
                python-argparse,
-               python-boto,
                python-cheetah,
                python-configobj,
-               python-json-patch,
+               python-jsonpatch | python-json-patch,
                python-mocker,
                python-nose,
                python-oauth,
+               python-six,
                python-prettytable,
                python-setuptools,
                python-requests,
                python-yaml
 XS-Python-Version: all
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: cloud-init
 Architecture: all
@@ -33,6 +33,7 @@
          software-properties-common,
          ${misc:Depends},
          ${python:Depends}
+Recommends: eatmydata
 Provides: ec2-init
 Replaces: ec2-init (<<0.5.3)
 Conflicts: ec2-init (<<0.5.3)
