## cloud-init 0.7.6~bzr976

=== debian/changelog ===
cloud-init (0.7.6~bzr976-2) unstable; urgency=medium

  * Build-depend on iproute2 instead of iproute (Closes: #753695). 
  * Translation updates:
    - Portuguese: Américo Monteiro <a_monteiro@gmx.com>, closes: #748520.
    - German: Chris Leick <c.leick@vollbio.de>,          closes: #750852.
    - French: Julien Patriarca <leatherface@debian.org>, closes: #749773.

 -- Charles Plessy <plessy@debian.org>  Sat, 05 Jul 2014 20:27:10 +0900

cloud-init (0.7.6~bzr976-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #750314).

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Jun 2014 07:21:45 +0900

cloud-init (0.7.5-1) unstable; urgency=medium

  * New upstream release
    - adds OpenNebula support, closes: #736148.
    - adds GCE as new source, closes: #725384.

  [ Charles Plessy ]
  * Depend and Build-Depend on python-jsonpatch and python-serial.
  * Build-Depend on iproute for the regression tests.
  * Conforms to Policy 3.9.5.
  * Correct installation path for rsyslog config snippet.
    Thanks, Juerg Haefliger <juergh@gmail.com>.  Closes: #707125
  * Added debian/gbp.conf, marking the use of git-buildpackage.
  * Build-depend on python-httpretty for the regression tests.
  * Source packages migrated to Git; updated VCS URLs.

 -- Charles Plessy <plessy@debian.org>  Sat, 17 May 2014 14:21:24 +0900
