=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	dh_install
	rm -rf debian/cloud-init/usr/lib/python?.?/dist-packages/tests

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_test
	$(MAKE) test
endif

override_dh_installinit:
	dh_installinit --no-start --no-restart-on-upgrade --name cloud-init-local
	dh_installinit --no-start --no-restart-on-upgrade
	dh_installinit --no-start --no-restart-on-upgrade --name cloud-config
	dh_installinit --no-start --no-restart-on-upgrade --name cloud-final
