## cloud-init 0.7.6~bzr1022

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Used for untemplating any files or strings with parameters.
 cheetah
+jinja2
 
 # This is used for any pretty printing of tabular data.
 PrettyTable
