=== debian/changelog ===
cloud-init (0.7.6~bzr1022-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * support for writing swap files per user config (disabled by default).
    * fixes for freebsd support of config drive.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 01 Oct 2014 16:27:44 -0400

cloud-init (0.7.6~bzr1020-0ubuntu1) utopic; urgency=medium

  [ Ben Howard ]
  * Fix for cloud-init misidentifying grub install device (LP: #1336855).

  [ Scott Moser ]
  * New upstream snapshot.
    * cc_grub_dpkg: consider /dev/xvda as candidate for grub installation
      (LP: #1336855)
    * resizefs: fix backgrounding of resizefs (LP: #1338614) 
    * cloud-init-blocknet: remove debug code

 -- Scott Moser <smoser@ubuntu.com>  Tue, 23 Sep 2014 14:20:09 -0400

cloud-init (0.7.6~bzr1016-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * upstart: block networking from coming up until after
      cloud-init-local has run. (LP: #1368861)
    * upstart: ensure /run mounted before cloud-init-local (LP: #1353008)
    * log failures in route info.
    * Openstack: do not search redundant urls for openstack datasource.
      do not load urls just to check if they're present when crawling.
    * ConfigDrive: fixes for better consumption of vendor-data
    * resizefs: make sure target is writable before attempting
      in order to avoid failures in containers. (LP: #1366891)
    * freebsd fixes.
    * ssh_authkey_fingerprints: correctly allow disabling (LP: #1340903)
    * CloudStack: work around bug in metadata service (LP: #1356855)
    * docs: fix doc about disk-setup 'table_type' (LP: #1313114)
    * resolv.conf: fix rendering if options not provided (LP: #1328953)
    * ensure keys exist before running ssh on systemd (LP: #1333920)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 12 Sep 2014 18:12:31 -0400

cloud-init (0.7.6~bzr992-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * ubuntu-init-switch: fixes and minor tweaks.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 31 Jul 2014 16:11:27 -0400

cloud-init (0.7.6~bzr990-0ubuntu1) utopic; urgency=medium

  * debian/README.source: get changelog from trunk when new snapshot
  * New upstream snapshot.
    * add ubuntu-init-switch module for testing systemd.
    * do not put comments in /etc/timezone (LP: #1341710)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 31 Jul 2014 15:05:51 -0400

cloud-init (0.7.6~bzr987-0ubuntu2) utopic; urgency=medium

  * debian/control: drop build-depends on python-selinux as it is
    not in main.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Jul 2014 12:47:39 -0400

cloud-init (0.7.6~bzr987-0ubuntu1) utopic; urgency=medium

  * incorporate systemd and build system changes from trunk.
  * New upstream snapshot.
    * less noisy logs
    * allow usage of jinja2 templates (LP: #1219223)
    * test case cleanups
    * change build system to be dh and pybuild

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Jul 2014 19:55:30 -0400

cloud-init (0.7.6~bzr976-0ubuntu1) utopic; urgency=medium

  * debian/cloud-init.templates: fix choices so dpkg-reconfigure works as
    expected (LP: #1325746)
  * New upstream snapshot.
    * tests: SmartOS test not depend on /dev/ttyS1 device node (LP: #1316597)
    * poll ttyS1 only after check for 'cloudsigma' in dmidecode (LP: #1316475)
    * cloudsigma: support vendor-data (LP: #1303986)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 03 Jun 2014 16:41:07 -0400
