=== debian/rules ===
#!/usr/bin/make -f
INIT_SYSTEM ?= upstart,systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)

%:
	dh $@ --with python2,systemd --buildsystem pybuild

override_dh_auto_test:
	# Because setup tools didn't copy data...
	cp -r tests/data .pybuild/pythonX.Y_2.7/build/tests
	# We set http_proxy because of httpretty issue 122 trunk has worked
	# around that but to support cloud-init that has not.
	http_proxy= dh_auto_test -- --test-nose
