=== debian/changelog ===
cloud-init (0.7.7~bzr1091-0ubuntu12) vivid; urgency=medium

  * d/patches/lp-1506244-azure-ssh-key-values.patch: AZURE: Add support
    and preference for fabric provided public SSH public key values over
    fingerprints (LP: #1506244).

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 17 Nov 2015 10:02:41 -0700

cloud-init (0.7.7~bzr1091-0ubuntu11) vivid; urgency=medium

  * d/patches/lp-1177432-same-archives-as-ubuntu-server.patch: use the
    same archive pockets as Ubuntu Server (LP: #1177432).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 05 Nov 2015 12:36:21 -0700

cloud-init (0.7.7~bzr1091-0ubuntu10) vivid; urgency=medium

  * d/patches/lp-1177432-enable_backports.patch: Enable backports apt pocket
    (LP: #1177432).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 02 Nov 2015 08:52:16 -0700

cloud-init (0.7.7~bzr1091-0ubuntu9) vivid; urgency=medium

  * d/patches/lp-1493453-nocloudds-vendor_data.patch:
    - fix vendor_data variable assignment for the NoCloud Datasource
      (LP: #1493453).

  * d/patches/lp-1461242-generate-ed25519-host-keys.patch:
    - ssh: generate ed25519 host keys if supported (LP: #1461242).

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 22 Sep 2015 15:02:06 -0600

cloud-init (0.7.7~bzr1091-0ubuntu8) vivid; urgency=medium

  * d/patches/lp-1494816-snappy-ssh-enabled_with_auth.patch:
      - Enable SSH on Ubuntu Snappy when the Cloud Fabric/user provides user
        authentication tokens (LP: #1494816).

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 15 Sep 2015 17:30:35 -0600

cloud-init (0.7.7~bzr1091-0ubuntu7) vivid; urgency=medium

  [ Daniel Waktins ]
  * d/patches/lp-1490796-azure-fix-mount_cb-for-symlinks.patch:
      - Fix a regression caused by switching to /dev/disk symlinks
        (LP: #1490796).

 -- Ben Howard <ben.howard@ubuntu.com>  Wed, 02 Sep 2015 11:18:30 -0600

cloud-init (0.7.7~bzr1091-0ubuntu6) vivid; urgency=medium

  * d/cloud-init.templates: Include SmartOS data source in the default list
    and choices (LP: #1398997).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 02 Sep 2015 16:13:54 +0100

cloud-init (0.7.7~bzr1091-0ubuntu5) vivid; urgency=medium

  * d/patches/lp-1411582-azure-udev-ephemeral-disks.patch:
      - Use udev rules to discover ephemeral disk locations rather than
        hard-coded device names (LP: #1411582).
  * d/patches/lp-1470880-fix-gce-az-determination.patch:
      - Correctly parse GCE's availability zones (LP: #1470880).
  * d/patches/lp-1470890-include-regions-in-dynamic-mirror-discovery.patch:
      - Make %(region)s a valid substitution in mirror discovery
        (LP: #1470890).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 14 Aug 2015 13:50:32 +0100

cloud-init (0.7.7~bzr1091-0ubuntu4) vivid; urgency=medium

  * d/patches/lp-1456684-eu-central-1.patch: Add central as a direction for
    EC2 availability zones (LP: #1456684).
  * d/patches/lp-1464253-handle-new-cloudstack-passwords.patch: Handle both
    old and new CloudStack password servers (LP: #1464253).
  * d/patches/lp-1475215-fix-cloudsigma-cepko.patch: Fix CloudSigma datasource
    under Python 3 (LP: #1475215).
  * d/patches/lp-1463373-fix-apt-gpg-key-fetching.patch: Fix a Python 3
    problem with the writing out of the script that fetches GPG keys for apt
    repos (LP: #1463373).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Mon, 29 Jun 2015 12:48:33 +0100

cloud-init (0.7.7~bzr1091-0ubuntu3) vivid-proposed; urgency=medium

  * d/README.source, debian/cherry-pick-rev: improve packaging tool
  * fix read_seeded method needed for seeding cloud-init via kernel
    command line (LP: #1455233).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Jun 2015 15:39:32 -0400

cloud-init (0.7.7~bzr1091-0ubuntu2) vivid; urgency=medium

  * Backport of 15.10 Azure Datasource to fix various issues:
    - Azure Datasource writes user password in plain text (LP: #1458052).
    - Hostname not preserved across Azure reboots (LP: #1375252).
    - Allow provisioning of Ubuntu Snappy w/out WALinuxAgent (LP: #1448885).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 25 May 2015 09:38:58 -0600

cloud-init (0.7.7~bzr1091-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * fix processing of user-data in cloud-config-archive format (LP: #1445143)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 17 Apr 2015 12:04:16 -0400

cloud-init (0.7.7~bzr1088-0ubuntu3) vivid; urgency=medium

  * systemd/*.service: don't declare a Wants/Requires on network.target; this
    is a passive target that should only be pulled in by implementors of the
    networking service.  The requirement for network needs to be 
    expressed as a dependency on network-online.target.  LP: #1440180.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Apr 2015 07:35:55 -0700

cloud-init (0.7.7~bzr1088-0ubuntu2) vivid; urgency=medium

  [ Didier Roche ]
  * Don't start or restart cloud-init services on install and upgrade
    (LP: #1438520)

  [ Scott Moser ]
  * d/control: Build-Depends on iproute2 (tests)
  * d/control: Only Recommend (not both Depend and Recommend)
    software-properties-common

 -- Scott Moser <smoser@ubuntu.com>  Fri, 03 Apr 2015 11:13:28 -0400

cloud-init (0.7.7~bzr1088-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * adjust cc_snappy for snappy install package with config. (LP: #1438836)
      snappy install takes config as argument rather than '--config' flag.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 31 Mar 2015 14:21:48 -0400

cloud-init (0.7.7~bzr1087-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * SmartOS: update ds to use v2 metadata. (LP: #1436417) [Daniel Watkins]
    * Fix NoCloud local datasource to only activate if told to do so.
    * fix snappy package installation. (LP: #1437137)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 27 Mar 2015 17:09:34 -0400

cloud-init (0.7.7~bzr1084-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * systemd: update config and final to run even if init jobs fail

