=== debian/control ===
--- 
+++ 
@@ -5,38 +5,38 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
+               iproute2,
                po-debconf,
                pyflakes,
-               pylint,
-               python (>= 2.6.6-3~),
-               python-argparse,
-               python-cheetah,
-               python-configobj,
-               python-httpretty,
-               python-jsonpatch | python-json-patch,
-               python-jinja2,
-               python-mocker,
-               python-nose,
-               python-oauth,
-               python-prettytable,
-               python-setuptools,
-               python-serial,
-               python-requests,
-               python-yaml
+               python3,
+               pyflakes,
+               python3-configobj,
+               python3-httpretty,
+               python3-jinja2,
+               python3-jsonpatch,
+               python3-mock,
+               python3-nose,
+               python3-oauthlib,
+               python3-pep8,
+               python3-prettytable,
+               python3-requests,
+               python3-serial,
+               python3-setuptools,
+               python3-six,
+               python3-yaml
 XS-Python-Version: all
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
          ifupdown (>= 0.6.10ubuntu5),
          procps,
-         python,
-         python-requests (>= 0.8.2),
-         software-properties-common,
+         python3,
+         python3-requests (>= 0.8.2),
          ${misc:Depends},
-         ${python:Depends}
-Recommends: eatmydata
+         ${python3:Depends}
+Recommends: eatmydata, software-properties-common
 Provides: ec2-init
 Replaces: ec2-init (<<0.5.3)
 Conflicts: ec2-init (<<0.5.3)
