=== debian/rules ===
#!/usr/bin/make -f
INIT_SYSTEM ?= upstart,systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
	# Because setup tools didn't copy data...
	[ ! -d .pybuild/pythonX.Y_?.?/build/tests ] || cp -r tests/data .pybuild/pythonX.Y_?.?/build/tests
	# We set http_proxy because of httpretty issue 122 trunk has worked
	# around that but to support cloud-init that has not.
	http_proxy= dh_auto_test -- --test-nose

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start
