## cloud-init 0.7.7~bzr1149

=== debian/changelog ===
cloud-init (0.7.7~bzr1149-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    azure: support extracting SSH key values from ovf-env.xml (LP: #1506244)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Oct 2015 20:38:45 -0400

cloud-init (0.7.7~bzr1148-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * support configuring and installing the Ubuntu fan driver (LP: #1504604)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Oct 2015 13:00:12 -0400

cloud-init (0.7.7~bzr1147-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * MAAS: fix oauth when system clock is bad (LP: #1499869)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 29 Sep 2015 20:16:57 -0400

cloud-init (0.7.7~bzr1146-0ubuntu2) wily; urgency=medium

  * replace usage of python with python3 in postinst (LP: #1498493)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 22 Sep 2015 09:49:01 -0400

cloud-init (0.7.7~bzr1146-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * make the webhook reporter post json data rather than
      urlencoded data (LP: #1496960)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 17 Sep 2015 15:59:35 -0400

cloud-init (0.7.7~bzr1145-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * fix default builtin config of snappy to set ssh_enabled=auto.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 15 Sep 2015 15:33:19 -0400

cloud-init (0.7.7~bzr1144-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    [ Ben Howard ]
    * snappy: enable ssh on snappy if ssh keys are provided or
      password authentication is requested (LP: #1494816)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 11 Sep 2015 17:00:16 -0400

cloud-init (0.7.7~bzr1143-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * NoCloud: fix consumption of vendor-data (LP: #1493453)
    * power_state: support power change only on 'condition'

 -- Scott Moser <smoser@ubuntu.com>  Thu, 10 Sep 2015 16:20:44 -0400

cloud-init (0.7.7~bzr1141-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * fix bug in cloud-init main preventing any usage.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 03 Sep 2015 11:36:37 -0400

cloud-init (0.7.7~bzr1140-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * Handle symlink mount points in mount_cb (LP: #1490796).
    * sync curtin reporting changes back to cloud-init.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 02 Sep 2015 16:50:54 -0400

cloud-init (0.7.7~bzr1138-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * MAAS: fixes to data source and OauthUrlHelper (LP: #1488507)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 25 Aug 2015 15:28:06 -0400

cloud-init (0.7.7~bzr1137-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * swap: use fallocate to create swapfile for speedup. (LP: #1482994)
    * reporting: print handler fix.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 12 Aug 2015 12:54:51 -0400

cloud-init (0.7.7~bzr1135-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * some stack traces fixed.
    * improved rsyslog/syslog config format
    * add reporting module for webhook or log reporting of events.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 07 Aug 2015 17:16:51 -0400

cloud-init (0.7.7~bzr1127-0ubuntu1) wily; urgency=medium

  [ Scott Moser ]
  * d/README.source, debian/cherry-pick-rev: improve packaging tool

  [ Daniel Watkins ]
  * d/cloud-init.templates: Include SmartOS data source in the default list
    and choices. (LP: #1398997)

  [ Scott Moser ]
  * New upstream snapshot.
    * check for systemd using sd_booted symantics (LP: #1461201)
    * fix importing of gpg keys in python3 (LP: #1463373)
    * fix specification of devices to growpart (LP: #1465436)
    * reliably detect and use Azure disks using udev rules (LP: #1411582)
    * support selection of Ubuntu mirrors on GCE (LP: #1470890)
    * ssh: generate ed25519 host keys if supported (LP: #1461242)
    * test fixes and cleanups
    * fix reading of availability-zone on GCE (LP: #1470880)
    * fix cloudsigma datasource with python3 (LP: #1475215)
    * fix rightscale user-data
    * fix consumption of CloudStack passwords on newer CloudStack platforms
      (LP: #1440263, #1464253)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 22 Jul 2015 17:06:18 -0400

cloud-init (0.7.7~bzr1109-0ubuntu2) wily; urgency=medium

  * d/control: cloud-init Recommends gdisk (LP: #1462521)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Jun 2015 16:33:38 -0400

cloud-init (0.7.7~bzr1109-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * Azure: Redact on-disk user password in /var/lib/ovf-env.xml
      (LP: #1311827)
    * EC2: be aware of eu-central-1 availability zone (LP: #1456684)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 28 May 2015 10:54:45 -0400

cloud-init (0.7.7~bzr1106-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * Azure: remove strict dependency on walinux-agent, but still utilize
      it for the time being.
    * fix read_seeded that is used in seeding user-data and meta-data
      from additional locations (LP: #1455233)
    * fix bug preventing partitioning of disks in many cases. (LP: #1311463)
    * Azure: do not override hostname if user has set it (LP: #1375252)
    * Fix GCE datasource not handling per-instance SSH keys (LP: #1403617)
    * Allow specifying of uid in user/group config.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 May 2015 17:04:19 -0400
